# Uses of Interface
org.eclipse.jface.dialogs.IDialogSettingsProvider

Packages that use IDialogSettingsProvider
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IDialogSettingsProvider in org.eclipse.ui

Methods in org.eclipse.ui that return IDialogSettingsProvider
Modifier and Type
Method
Description
`static IDialogSettingsProvider`
PlatformUI.`getDialogSettingsProvider(Bundle bundle)`
Returns the dialog settings provider for the passed bundle.